#include <bits/stdc++.h>
using namespace std;
int n,m;
long long a[100005],b[100005],dem=0;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    freopen("CAU2.INP","r",stdin);
    freopen("CAU2.OUT","w",stdout);
    cin>>n>>m;
    for(int i=1;i<=n;i++)
        cin>>a[i];
    for(int i=1;i<=m;i++)
        cin>>b[i];
    sort(a+1,a+n+1);
    sort(b+1,b+m+1);
    for(int i=1;i<=m;i++)
    {
        int k=upper_bound(a+1,a+n+1,b[i])-a;
        if(k<=n&&a[k]!=-1)
        {
            dem++;
            a[k]=-1;
        }
    }
    return 0;
}
